edu.sc.seis.sod.source.event

## Class NowFakeEventSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.event.PeriodicFakeEventSource
    - - edu.sc.seis.sod.source.event.NowFakeEventSource

- All Implemented Interfaces:
    EventSource, Source

      public class NowFakeEventSource
      extends PeriodicFakeEventSource

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NowFakeEventSource(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange` | `getEventTimeRange()`
    `edu.sc.seis.fissuresUtil.cache.CacheEvent[]` | `next()`

    - ### Methods inherited from class edu.sc.seis.sod.source.event.PeriodicFakeEventSource

      `getWaitBeforeNext, hasNext`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName, getRetries`

- - ### Constructor Detail

    - #### NowFakeEventSource

          public NowFakeEventSource(org.w3c.dom.Element config)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `EventSource`
      Overrides:
        `getDescription` in class `PeriodicFakeEventSource`

    - #### getEventTimeRange

          public edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange getEventTimeRange()

      Specified by:
        `getEventTimeRange` in interface `EventSource`
      Overrides:
        `getEventTimeRange` in class `PeriodicFakeEventSource`
      Returns:
        - a MicroSecondTimeRange starting at least as early as the earliest event and ending at least as late as the latest event. No event should be returned by this source with an origin before the begin time or after the end time of this range.

    - #### next

          public edu.sc.seis.fissuresUtil.cache.CacheEvent[] next()

      Specified by:
        `next` in interface `EventSource`
      Overrides:
        `next` in class `PeriodicFakeEventSource`
      Returns:
        - the next set of events. Events can be returned from this method multiple times